# OpenCand

Open Candidate is a project that aims to provide, in a simpler way, informations about candidates in Brazilian elections. It is a web application that allows users to search for candidates by name, state, and position. The application retrieves data from the TSE (Tribunal Superior Eleitoral) API and displays it in a user-friendly format.

## Architecture

OpenCand is built using:
* .NET 8 - for parsing initial information from CSV files to the PostgreSQL database using Entity Framework.
* .NET Core 8 - for the API
* PostgreSQL - for the database
* React - for the front-end

## Disponibilidade de dados (Prod)

* ✅ = Disponível
* ❌ = Não disponível
* ⛔ = Sem dados

| Nome do dado      | Ano  | Disponível? |
|-------------------|------|-------------|
| Candidatos        | 2024 | ✅       |
| Bem Candidato     | 2024 | ✅       |
| Despesas/Receitas | 2024 | ✅       |
| Rede Social       | 2024 | ✅       |
| Fotos             | 2024 | ✅       |
| -                 | -    | -         |
| Candidatos        | 2022 | ✅       |
| Bem Candidato     | 2022 | ✅       |
| Despesas/Receitas | 2022 | ✅       |
| Rede Social       | 2022 | ✅       |
| Fotos             | 2022 | ✅       |
| -                 | -    | -         |
| Candidatos        | 2020 | ✅       |
| Bem Candidato     | 2020 | ✅       |
| Despesas/Receitas | 2020 | ✅       |
| Rede Social       | 2020 | ✅       |
| Fotos             | 2020 | ❌       |
| -                 | -    | -         |
| Candidatos        | 2018 | ✅       |
| Bem Candidato     | 2018 | ✅       |
| Despesas/Receitas | 2018 | ❌       |
| Rede Social       | 2018 | ❌       |
| Fotos             | 2018 | ❌       |
| -                 | -    | -         |
| Candidatos        | 2016 | ✅       |
| Bem Candidato     | 2016 | ✅       |
| Despesas/Receitas | 2016 | ❌       |
| Rede Social       | 2016 | ❌       |
| Fotos             | 2016 | ❌       |
| -                 | -    | -         |
| Candidatos        | 2014 | ✅       |
| Bem Candidato     | 2014 | ✅       |
| Despesas/Receitas | 2014 | ❌       |
| Rede Social       | 2014 | ❌       |
| Fotos             | 2014 | ❌       |
| -                 | -    | -         |
| Candidatos        | 2012 | ✅       |
| Bem Candidato     | 2012 | ✅       |
| Despesas/Receitas | 2012 | ❌       |
| Rede Social       | 2012 | ❌       |
| Fotos             | 2012 | ❌       |
| -                 | -    | -         |
| Candidatos        | 2010 | ✅       |
| Bem Candidato     | 2010 | ✅       |
| Despesas/Receitas | 2010 | ❌       |
| Rede Social       | 2010 | ❌       |
| Fotos             | 2010 | ❌       |
| -                 | -    | -         |
| Candidatos        | 2008 | ✅       |
| Bem Candidato     | 2008 | ✅       |
| Despesas/Receitas | 2008 | ❌       |
| Rede Social       | 2008 | ❌       |
| Fotos             | 2008 | ❌       |
| -                 | -    | -         |
| Candidatos        | 2006 | ✅       |
| Bem Candidato     | 2006 | ✅       |
| Despesas/Receitas | 2006 | ❌       |
| Rede Social       | 2006 | ❌       |
| Fotos             | 2006 | ❌       |
| -                 | -    | -         |
| Candidatos        | 2004 | ✅       |
| Bem Candidato     | 2004 | ❌       |
| Despesas/Receitas | 2004 | ❌       |
| Rede Social       | 2004 | ❌       |
| Fotos             | 2004 | ❌       |
| -                 | -    | -         |
| Candidatos        | 2002 | ✅       |
| Bem Candidato     | 2002 | ❌       |
| Despesas/Receitas | 2002 | ❌       |
| Rede Social       | 2002 | ❌       |
| Fotos             | 2002 | ❌       |
| -                 | -    | -         |
| Candidatos        | 2000 | ✅       |
| Bem Candidato     | 2000 | ⛔       |
| Despesas/Receitas | 2000 | ⛔       |
| Rede Social       | 2000 | ⛔       |
| Fotos             | 2000 | ⛔       |
| -                 | -    | -         |
